﻿using System;
using System.Collections.ObjectModel;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace ComboBox_SL
{
    public class ViewModel: ViewModelBase
    {
        public ObservableCollection<ComboItem> Items { get; set; }

        public ViewModel()
        {
            this.Items = new ObservableCollection<ComboItem>();
            this.Items.Add(new ComboItem { ID = 1, Name = "Item 1" });
            this.Items.Add(new ComboItem { ID = 2, Name = "Item 2" });
            this.Items.Add(new ComboItem { ID = 3, Name = "Item 3" });
        }

        private string _SelectedValue;

        /// <summary>
        /// Gets or sets SelectedValue and notifies for changes
        /// </summary>
        public string SelectedValue
        {
            get
            {
                return this._SelectedValue;
            }

            set
            {
                if (this._SelectedValue != value)
                {
                    if (value == "test")
                    {
                        this.Items.Add(new ComboItem { ID = 6, Name = "test" });
                    }

                    this._SelectedValue = value;
                    this.OnPropertyChanged(() => this.SelectedValue);
                }
            }
        }
    }
}
